# 成交統計

`GET` `/v1/quote/trades-statistics`

獲取指定證券的成交統計數據，展示成交量的價格分佈。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `700.HK` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/trades-statistics?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | 按價位的成交分佈， |
| `└ price` | string | No | 價位 |
| `└ buy_amount` | string | No | 該價位買入成交額 |
| `└ sell_amount` | string | No | 該價位賣出成交額 |
| `└ neutral_amount` | string | No | 該價位中性成交額 |
| `statistics` | object | No | 成交統計匯總 |
| `└ avgprice` | string | No | 平均價。 |
| `└ trades_count` | string | No | 成交筆數。 |
| `└ total_amount` | string | No | 總成交額。 |
| `└ buy` | string | No | 淨買入經紀商列表， |
| `└ sell` | string | No | 淨賣出經紀商列表， |
| `└ neutral` | string | No | 中性值/數量。 |
| `└ timestamp` | string | No | 異動時間（Unix 秒，字符串格式） |
| `└ preclose` | string | No | 前收盤價。 |
| `└ trade_date` | array | No | 下一次預計交易日期（YYYY-MM-DD） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "statistics": {
      "avgprice": "210.50",
      "buy": "45000000",
      "sell": "38000000",
      "neutral": "12000000",
      "total_amount": "95000000",
      "trades_count": "125000",
      "preclose": "208.20",
      "timestamp": "1778198400",
      "trade_date": [
        "2026-05-13"
      ]
    },
    "trades": [
      {
        "price": "210.00",
        "buy_amount": "5000000",
        "sell_amount": "4000000",
        "neutral_amount": "1000000"
      }
    ]
  }
}
```
